@import url('./styles/Navbar.css');
@import url('./styles/gradient_bg.css');
@import url('./styles/builderPreview.css');
@import url('./styles/lamp-effect.css');
@import url('./styles/moon-effect.css');

* {
  padding: 0;
}

body {
  font-family: "Inter", sans-serif;
  font-weight: 400;
  background-color: #000212;
}

body::-webkit-scrollbar {
  display: none;
  scrollbar-width: none;
}

/* Ensure dropdowns are hidden by default */
.dropdown-menu {
  display: none;
  position: absolute;
  background-color: #4854be; /* Match the dark background theme */
  border-radius: 4px; /* Optional for rounded corners */
  box-shadow: 0 8px 16px rgba(69, 57, 194, 0.2); /* Optional for a shadow effect */
  list-style: none;
  padding: 0;
  margin: 0;
  z-index: 1;
}

.dropdown-menu li {
  padding: 8px 16px;
}

.dropdown-menu li a {
  color: #fff; /* Match the text color with the theme */
  text-decoration: none;
  display: block;
}

.dropdown-menu li a:hover {
  background-color: #4854be; /* Subtle hover effect */
}

/* Show dropdown when hovering over the parent item */
.nav__item.dropdown:hover .dropdown-menu {
  display: block;
}

/* Ensure the parent item styles are retained */
.nav__item.dropdown > a {
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: #fff; /* Match the text color with the theme */
  text-decoration: none;
  padding: 8px 16px; /* Adjust padding as needed */
}

.nav__item.dropdown > a:hover {
  background-color: #4854be; /* Subtle hover effect */
}

.link-group-2 img:first-child {
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s, opacity 0.5s linear;
}

.link-group-2:hover img:nth-child(1) {
  visibility: visible;
  opacity: 1;
}

.link:hover img {
  @apply block
}

/* CSS for icon animation */
@keyframes fadeInOut {
  0% {
    opacity: 0;
  }

  50% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

.icon {
  opacity: 0;
  animation: fadeInOut 2000ms ease infinite;
}

.button-group .icon:nth-child(1) {
  animation-delay: 600ms;
}

.button-group .icon:nth-child(2) {
  animation-delay: 1200ms;
}

.button-group .icon:nth-child(3) {
  animation-delay: 1800ms;
}

#downloadBtn:hover .download_icon {
  animation: floatAnimation 0.5s ease-in-out infinite alternate;
}

@keyframes floatAnimation {
  0% {
    transform: translateY(2px);
  }

  100% {
    transform: translateY(-3px);
  }
}


#starsImg {
  transition: opacity 0.3s ease;
}

.fade-out {
  opacity: 0;
}

#faq_container .faq-open img,
#faq_container .faq-closed img {
  transition: transform 0.3s ease;
}

#faq_container .faq-open img {
  transform: rotate(180deg);
}

#product_backbtn{
  display: none;
}

@media (max-width:1024px) {
  #product-features{
    height: 320px;
    width: 350px;
    display: none;
    border: none;
  }  

  
  #product_backbtn{
    margin-top: 20px;
    display: block;
    color: red;
    font-weight: 500;
    text-align: left;
    letter-spacing: 1.3px;

  }

}  


@media (min-width:1023px) {
 
#product-features{
  display: none;
  position: absolute;
  top: 60px;
  width: 300px;
  height: 300px;
  border: 0.5px solid rgba(255, 255, 255, 0.112);
  border-radius: 15px;

}


}  


